%define dist .slc5

Name: yum-conf
Summary: RPM installer/updater config files
Version: 5X
Release: 11%{?dist}
Epoch: 666
License: GPL
Group: System Environment/Base
Source: %{name}-%{version}.tar.gz
URL: http://www.dulug.duke.edu/yum/
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArch: noarch
Prereq: yum >= 3.2
Packager: Linux.Support@cern.ch

%description
Configuration files to setup yum for Scientific Linux CERN 5 (SLC5)

%prep
%setup -q

%install
mkdir -p $RPM_BUILD_ROOT/etc
cp -r etc/* $RPM_BUILD_ROOT/etc

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT


%post
arch=$( uname -i )
if [ "$arch" != "ia64" ]; then
	exit 0
fi
for reponame in atrpms dag jpackage epel; do
	repofile=/etc/yum.repos.d/${reponame}.repo
	if [ -f $repofile ]; then
		sed -i -e 's/enabled=1/enabled=0/' $repofile
	fi
done

# Import GPG keys for users 
#/bin/rpm --import http://linuxsoft.cern.ch/cern/slc5X/`uname -i`/RPM-GPG-KEYs/RPM-GPG-KEY-cern
#/bin/rpm --import http://linuxsoft.cern.ch/cern/slc5X/`uname -i`/RPM-GPG-KEYs/RPM-GPG-KEY-jpolok

exit 0

%files 
%defattr(-, root, root)
%config %{_sysconfdir}/yum.conf
%config(noreplace) %{_sysconfdir}/yum.repos.d/
%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-EPEL
%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-elrepo.org


%changelog
* Thu May 07 2015 Jaroslaw Polok <jaroslaw.polok@cern.ch> - 5X-11
- added IGTF CA repo

* Mon Dec 2 2013 Jaroslaw Polok <jaroslaw.polok@cern.ch> - 5X-9
- add debug repos, change conf files to noreplace, add elrepo

* Tue Jun 07 2011 Jan van Eldik <Jan.van.Eldik@cern.ch> - 5X-8
- Add EPEL testing repository (disabled)

* Mon Sep 29 2008  KELEMEN Peter <Peter.Kelemen@cern.ch>  666:5X-6.slc5.cern
- match repo names and file names
- protect=1 for all SLC5 repos, protect=0 for all non-SLC5 repos
- disabled DAG by default
- enabled EPEL by default
- removed Adobe repository
- removed RHAPS2 repository
- cleanups in the source and install scripts

* Tue Sep  9 2008 Jan Iven <jan.iven@cern.ch> - 666:5X-5.slc5.cern
- mark EPEL as disabled on IA64 - does not exist (yet?)

* Thu Aug  7 2008 Jan Iven <jan.iven@cern.ch> - 666:5X-4.slc5.cern
- explicitly mark all non-SLC repos protected=0
- add EPEL repo and GPG key, possible conflict with yum-conf-epel
- default to gpgcheck=1
- add Fermi GPG keys for slc5-(base/updates/test)

* Mon Jul 07 2008 Jaroslaw Polok <jaroslaw.polok@cern.ch>
- fixed file-level rpm conflicts

* Tue Jun 16 2008 Jaroslaw Polok <jaroslaw.polok@cern.ch>
- first version for SLC5X
